CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::http::raw_content_filter Class Referenceabstract

`#include <cppcms/http_content_filter.h>`

Inheritance diagram for cppcms::http::raw_content_filter:

## Public Member Functions
virtual void | on_data_chunk (void const *data, size_t data_size)=0
Public Member Functions inherited from cppcms::http::basic_content_filter
virtual void | on_end_of_content ()
virtual void | on_error ()

## Detailed Description

Process of any kind of generic content data.

Note: when raw_content_filter is used no content data is actually saved to request, for example request().raw_post_data() would return an empty content, so it is your responsibility to store/parse whatever content you use

New in CppCMS 1.2

## Member Function Documentation

virtual void cppcms::http::raw_content_filter::on_data_chunk | ( | void const * | data,
|  | size_t | data_size
| ) |  |
| pure virtual

You must implement this member function to handle the data

A chunk of incoming data is avalible refered by data of size data_size

The request can be aborted by throwing abort_upload

The documentation for this class was generated from the following file:

- cppcms/http_content_filter.h